Layer Properties dialog > Legend tab: Used widget should not remain in the available list
Status: Open

Priority: Normal

Assignee: Martin Dobias

Category: GUI

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22921

Description

Layer Properties dialog, open legend tab. Currently, there's a transparency slider widget available. Add it to the used widget part. You still

have a copy of this widget in the "available" part, meaning that you can add as many as you want, which is useless given that there's

actually only one slider.

Once added to the used widget, I think it should be removed from the left panel

History

#1 - 2016-06-07 12:40 AM - Martin Dobias

Actually this was done intentionally... Assuming that for some widgets it would make sense to have more than one of the same type, just with different

configuration. However if that is confusing, we could remove the used widgets from list of available ones...

#2 - 2016-06-07 12:51 AM - Harrissou Santanna

I do not have a strong opinion on removal. I not yet see all the potential of this widget so maybe it makes sense to keep it.

However, currently, moving one slider does move the second one too. They are synchrone. This is not expected, right?

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:23 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#5 - 2019-03-09 11:52 PM - Harrissou Santanna

- Status changed from Closed to Reopened

- Affected QGIS version changed from master to 3.7(master)

- Resolution deleted (end of life)

- Description updated
Should the status not be set to "feedback" instead of closed?

#6 - 2019-03-10 12:23 AM - Giovanni Manghi

Harrissou Santanna wrote:

Should the status not be set to "feedback" instead of closed?

No. Not for every ticket tag is/was tagged as "master".

There was an unfortunate time when we had "master" used when we had both 2.* master and 3.* master.

Today Jurgen made a search and found that we created the branch that eventually become QGIS 3 was create at the start of July 2016. So any ticket filed

against "master" before that date is was certainly filed with QGIS 2 master. This tickets were closed as EOL, the ones tagged as "master" but filed after the

start of July 2016 were put in feedback. This ticket was filed June 6 2016, so it was QGIS 2 master.

#7 - 2019-03-10 12:24 AM - Giovanni Manghi

- Status changed from Reopened to Open

2024-03-20 2/2


